apiVersion: apps/v1
kind: Deployment
metadata:
  name: twhelp-api-v2-deployment
spec:
  template:
    spec:
      containers:
        - name: twhelp-api-v2
          image: twhelp
          env:
            - name: APP_MODE
              value: production
            - name: LOG_LEVEL
              value: info
            - name: DB_CONNECTION_STRING
              valueFrom:
                secretKeyRef:
                  name: twhelp-secret
                  key: db-connection-string
            - name: DB_MAX_OPEN_CONNS
              value: "10"
            - name: DB_MAX_IDLE_CONNS
              value: "3"
            - name: RABBITMQ_CONNECTION_STRING
              valueFrom:
                secretKeyRef:
                  name: twhelp-secret
                  key: rabbitmq-connection-string
            - name: AUTO_MAX_PROCS
              value: "true"
